Name:           btrfs-progs
Version:        4.14
Release:        %mkrel 2
Summary:        Userspace programs for btrfs

%define libname_orig    libbtrfs
%define major           0
%define libname         %mklibname btrfs %{major}
%define develname       %mklibname btrfs -d

Group:          System/Kernel and hardware
License:        GPLv2
URL:            http://btrfs.wiki.kernel.org/
Source0:        http://www.kernel.org/pub/linux/kernel/people/kdave/%{name}/%{name}-v%{version}.tar.xz
# From http://www.spinics.net/lists/linux-btrfs/msg15899.html
Source1:        btrfs-completion.sh
Patch0:		btrfs-progs-recognize-fsck.btrfs-like-btrfsck.patch
BuildRequires:  e2fsprogs-devel
BuildRequires:  pkgconfig(uuid)
BuildRequires:  pkgconfig(blkid)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  acl-devel
BuildRequires:  liblzo-devel
BuildRequires:  asciidoc
BuildRequires:  xmlto
Requires:       %{libname_orig} = %{version}-%{release}

%description
The btrfs-progs package provides all the userpsace programs needed to create,
check, modify and correct any inconsistencies in the btrfs filesystem.

%package -n     %{libname}
Summary:        Main library for btrfs
Group:          System/Libraries
Provides:       %{libname_orig} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with btrfs

%package -n     %{develname}
Summary:        Headers for developing programs that will use btrfs
Group:          Development/C 
Requires:       %{libname} = %{version}
Provides:       %{libname_orig}-devel = %{version}-%{release}
Provides:       btrfs-devel = %{version}-%{release}
%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use btrfs

%prep
%setup -q -n %{name}-v%{version}
%autopatch -p1

%build
./autogen.sh
%configure2_5x --bindir %{_sbindir} CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"
%make_build

%install
%makeinstall_std
%{__mkdir_p} %{buildroot}%{_datadir}/bash-completion/completions
cp %{SOURCE1} %{buildroot}%{_datadir}/bash-completion/completions/btrfs
rm -f %{buildroot}%{_libdir}/*.a

%files
%doc COPYING INSTALL
%{_sbindir}/btrfs
%{_sbindir}/btrfs-convert
%{_sbindir}/btrfs-debug-tree
%{_sbindir}/btrfs-find-root
%{_sbindir}/btrfs-image
%{_sbindir}/btrfs-map-logical
%{_sbindir}/btrfs-select-super
%{_sbindir}/btrfs-zero-log
%{_sbindir}/btrfsck
%{_sbindir}/btrfstune
%{_sbindir}/fsck.btrfs
%{_sbindir}/mkfs.btrfs
%{_mandir}/man*/*
%{_datadir}/bash-completion/completions/btrfs
#{_udevrulesdir}/64-btrfs-dm.rules

%files -n %{libname}
%{_libdir}/libbtrfs.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/btrfs/*
%{_libdir}/libbtrfs.so


%changelog
* Sun Nov 26 2017 tmb <tmb> 4.14-2.mga6
+ Revision: 1179837
- update to 4.14

* Tue Jan 03 2017 tmb <tmb> 4.9-2.mga6
+ Revision: 1079970
- fix filelist
- update to 4.9

* Thu May 19 2016 tmb <tmb> 4.5.3-1.mga6
+ Revision: 1016892
- update to 4.5.3

* Sat Mar 05 2016 tmb <tmb> 4.4.1-2.mga6
+ Revision: 986132
- rebase P1 to apply cleanly

* Sat Mar 05 2016 tmb <tmb> 4.4.1-1.mga6
+ Revision: 985939
- update to 4.4.1

* Thu Feb 11 2016 umeabot <umeabot> 4.1.2-2.mga6
+ Revision: 953547
- Mageia 6 Mass Rebuild

* Sat Aug 22 2015 cjw <cjw> 4.1.2-1.mga6
+ Revision: 867974
- patch1: work around for broken makefile

  + tmb <tmb>
    - update to 4.1.2
    - rebuild for new gcc

* Fri Jun 26 2015 tv <tv> 4.1-1.mga6
+ Revision: 844641
- adjust file list
- new release

* Mon Mar 30 2015 tmb <tmb> 3.19.1-1.mga5
+ Revision: 819387
- update to 3.19.1

* Sat Mar 14 2015 tmb <tmb> 3.19-1.mga5
+ Revision: 818510
- update to 3.19

* Thu Jan 29 2015 tmb <tmb> 3.18.2-1.mga5
+ Revision: 812669
- update to 3.18.2

* Tue Dec 30 2014 tmb <tmb> 3.18-1.mga5
+ Revision: 807483
- update to 3.18

* Mon Dec 08 2014 tmb <tmb> 3.17.3-1.mga5
+ Revision: 802229
- update to 3.17.3
- use _DEFAULT_SOURCE instead of obsolete _BSD_SOURCE
- update to 3.17 (in sync with kernel)

* Wed Oct 15 2014 umeabot <umeabot> 3.16.2-2.mga5
+ Revision: 751136
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tmb <tmb> 3.16.2-1.mga5
+ Revision: 734283
- 3.16.2 (maintenance release)

* Thu Sep 18 2014 umeabot <umeabot> 3.16-3.mga5
+ Revision: 693519
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 3.16-2.mga5
+ Revision: 678237
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 tmb <tmb> 3.16-1.mga5
+ Revision: 673339
- update to 3.16
- update filelist

* Sun Jun 29 2014 tmb <tmb> 3.14.2-1.mga5
+ Revision: 641043
- update filelists
- BR: xmlto
- BR: asciidoc
- update to 3.14.2

* Fri Dec 27 2013 tmb <tmb> 3.12-2.mga4
+ Revision: 560964
- fix broken fsck.btrfs -a (mga #12046)

* Wed Dec 04 2013 tmb <tmb> 3.12-1.mga4
+ Revision: 555194
+ rebuild (emptylog)

* Wed Dec 04 2013 tmb <tmb> 3.12-0.1.mga4
+ Revision: 555193
- v3.12 final \o/

* Sat Oct 19 2013 umeabot <umeabot> 0.20-0.rc1.20130705.2.mga4
+ Revision: 533667
- Mageia 4 Mass Rebuild

* Tue Sep 03 2013 tmb <tmb> 0.20-0.rc1.20130705.1.mga4
+ Revision: 474671
- update to 2013-07-05 snapshot

  + joequant <joequant>
    - add completions

* Thu Jun 20 2013 joequant <joequant> 0.20-0.rc1.20130607.2.mga4
+ Revision: 445276
- move build instructions to end of spec file
- remove static libs
  clean up libbtrfs libdir
- sync sources.  Patches should be incorporated in upstream
- upgrade to latest git

* Tue Apr 16 2013 tmb <tmb> 0.20-0.rc1.20130117.2.mga3
+ Revision: 410222
- BR libblkid-devel
- selected fixes from upstream:
  * Clear caches when opening and closing devices (P1, mga #9714)
  * Ignore the error ENXIO and ENOMEDIUM during a devs scan (P2)
  * bugfix for scrubbing single devices (P3)
  * Handle errors returned from open_ctree (P4, mga #9714)
  * fix resolving of loop devices (P5)
  * correct btrfs receive usage string (P6)
  * detect if the disk we are formatting is a ssd (P7)
  * add btrfs device ready command (P8, for dracut)
  * fix mkfs.btrfs -r option (P9)
  * btrfsck: Print which filesystem to be checked to stdout (P10)
  * dont print uuid unless -u option is given (P11)
  * don't free null path (P12)
  * handle errors reading fs roots (P13)

* Fri Feb 08 2013 tmb <tmb> 0.20-0.rc1.20130117.1.mga3
+ Revision: 396995
- install in /usr/sbin, not /sbin
- update to 0.20-rc1 as of 2013-01-17

* Fri Jan 11 2013 umeabot <umeabot> 0.19-1.20120328.2.mga3
+ Revision: 347211
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 22 2012 tmb <tmb> 0.19-1.20120328.1.mga2
+ Revision: 232555
- update to 2012-03-28 snapshot
  * switch back to master branch as dangerdonteveruse branch is now merged

* Sun Mar 25 2012 tmb <tmb> 0.19-1.20120222.1.mga2
+ Revision: 226164
- update to 2012-02-22 snapshot
  (first version that actually can fix some fs problems)

* Mon Dec 26 2011 tmb <tmb> 0.19-1.20111201.2.mga2
+ Revision: 187943
- build btrfs-select-super too (#3877)
- fix rename of restore to restore.btrfs properly

* Sat Dec 24 2011 tmb <tmb> 0.19-1.20111201.1.mga2
+ Revision: 187072
- update to 2011-12-01 snapshot

* Sat Nov 26 2011 tmb <tmb> 0.19-1.20111121.1.mga2
+ Revision: 172244
- pass ldflags to the build
- rename restore to restore.btrfs to not conflict with dump utility
- update filelist
- update to 2011-11-21 snapshot

  + kamil <kamil>
    - URL fixed

* Mon Nov 21 2011 kamil <kamil> 0.19-1.20111027.2.mga2
+ Revision: 170664
- URL updated (mga #3035)
- removed the clean section and minor cleaning in the spec file

* Thu Oct 27 2011 tmb <tmb> 0.19-1.20111027.1.mga2
+ Revision: 158748
- update to 2011-10-27 snapshot

* Sun Mar 13 2011 tmb <tmb> 0.19-1.20101006.2.mga1
+ Revision: 70244
- add fsck.btrfs symlink

* Wed Feb 09 2011 ennael <ennael> 0.19-1.20101006.1.mga1
+ Revision: 49466
- imported package btrfs-progs

